/*
 * Copyright (C) 2010  Axel Kesseler
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
#pragma once

#ifndef WINVER                  
#define WINVER          0x0400    // Minimum required platform is 32-bit Windows.
#endif

#ifdef _DEBUG
#ifndef _WIN32_WINNT            
#define _WIN32_WINNT    0x0500    // Minimum required operating for the DEBUG version is Windows 2000 (see logger class for the reason).
#endif
#else // RELEASE
#ifndef _WIN32_WINNT            
#define _WIN32_WINNT    0x0400    // Minimum required operating for the RELEASE version is Windows NT 4.0.
#endif
#endif // _DEBUG

#ifndef _WIN32_WINDOWS
#define _WIN32_WINDOWS  0x0400    // Minimum required operating is Windows 95.
#endif

#ifndef _WIN32_IE
#define _WIN32_IE       0x0300    // Minimum required Internet Explorer version 3.0, 3.01, 3.02.
#endif
